## dicomscope 3.6.0

=== debian/changelog ===
dicomscope (3.6.0-28) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1112843
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 11:49:46 +0200

dicomscope (3.6.0-27) unstable; urgency=medium

  * Add java-runtime to Depends
    Closes: #1036289
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2023 19:53:35 +0100

dicomscope (3.6.0-26) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * d/p/openjdk-1.9.patch, d/rules: use java_compat_level variable
    provided by java-common (Closes: #1052573).

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 17 Nov 2023 21:51:23 +1300

dicomscope (3.6.0-25) unstable; urgency=medium

  * Depends java-wrappers
    Closes: #1015882
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Andreas Tille <tille@debian.org>  Sat, 03 Dec 2022 07:34:50 +0100

dicomscope (3.6.0-24) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 09:32:30 +0200

dicomscope (3.6.0-23) unstable; urgency=medium

  * Provide wrapper script instead of relying on binfmt_misc
    Closes: #983605
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 05 Dec 2021 16:01:55 +0100

dicomscope (3.6.0-22) unstable; urgency=medium

  * Fix binary-all builds
    Closes: #972920

 -- Andreas Tille <tille@debian.org>  Tue, 27 Oct 2020 22:04:36 +0100

dicomscope (3.6.0-21) unstable; urgency=medium

  * Different IDs for doc-base documents
    Closes: #927089
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Sat, 26 Sep 2020 10:10:51 +0200

dicomscope (3.6.0-20) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.

  [ Gert Wollny ]
  * d/p/remove_Tar..: Add patch to remove use of removed
    interface, Closes: #919739

 -- Gert Wollny <gewo@debian.org>  Wed, 23 Jan 2019 11:20:35 +0100

dicomscope (3.6.0-19) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 11 Oct 2018 16:46:40 +0200

dicomscope (3.6.0-18) unstable; urgency=medium

  * d/control:
    - migrate packaging to git
    - update standards to 4.1.1
    - set package section for -jni package to java

 -- Gert Wollny <gewo@debian.org>  Sat, 30 Sep 2017 15:35:26 +0000

dicomscope (3.6.0-17) unstable; urgency=medium

  * d/p/openjdk-9: compilate with odjk-9, Closes: #872945

 -- Gert Wollny <gewo@debian.org>  Wed, 23 Aug 2017 07:43:11 +0000

dicomscope (3.6.0-16) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Remove self from Uploaders

  [ Gert Wollny ]
  * d/p/cmake.. Correct macros for new version Closes: #865783
  * d/p/correct_includes: Use full dcmtk sub-path for includes
  * d/control: - correct my email address
               - update standards version
  * d/rules:   - add linker -as-needed flags and hardening

 -- Gert Wollny <gewo@debian.org>  Sun, 25 Jun 2017 06:06:11 +0000

dicomscope (3.6.0-15) unstable; urgency=medium

  * update build dependency to libdicom-dev (Closes: #804569)
  * correct build with current dcmtk version merge related patches into:
    - DSRDocument.cpp.patch
    - correct_status_returns.patch
    old, now removed patches were:
    - DVPresentationState.patch
    - dicom_2009.patch
    - log4cplus.patch
  * add Gert Wollny to uploaders

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 11 Nov 2015 16:42:39 +0100

dicomscope (3.6.0-14) unstable; urgency=medium

  * dicomscope: Depend on libdicomscope-jni (thanks for the patch to
    Markus Koschany <apo@gambaru.de>)
    Closes: #791984
  * dicomscope: remove superfluous ${shlibs:Depends} substvar.
  * libdicomscope-jni: remove superfluous ${java:Depends} substvar
    and default-jre dependency

 -- Andreas Tille <tille@debian.org>  Fri, 10 Jul 2015 08:57:31 +0200

dicomscope (3.6.0-13) unstable; urgency=medium

  * Enable smooth upgrades by adding Breaks: dicomscope (<= 3.6.0-11)
    Closes: #791889
  * Multi-Arch: foreign/same

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jul 2015 13:20:30 +0200

dicomscope (3.6.0-12) unstable; urgency=medium

  * Moved debian/upstream to debian/upstream/metapackages
  * Split up arch any package with JNI files to enable co-installation
    of amd64 and i386
    Closes: #771996
  * cme fix dpkg-control
  * Add myself to Uploaders
  * Priority: optional
  * Remove *.pdf files from JAR
    Closes: #752770

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jul 2015 23:02:01 +0200

dicomscope (3.6.0-11) unstable; urgency=low

  * Remove SONAME from java glue lib. Closes: #676622
  * Install jni/glue lib to multi-arch jni path
  * Remove patch, not needed anymore:
    - d/p/fixbug694846.patch
  * Bump Std-Vers to 3.9.4, no changes needed
  * Remove obsolete DMUA flag
  * Split package in two (add -doc package).

 -- Mathieu Malaterre <malat@debian.org>  Wed, 06 Nov 2013 15:13:27 +0100

dicomscope (3.6.0-10) unstable; urgency=low

  * Fix underlinked java module. Closes: #694846

 -- Mathieu Malaterre <malat@debian.org>  Sun, 09 Dec 2012 19:15:26 +0100

dicomscope (3.6.0-9) unstable; urgency=low

  [ Thorsten Alteholz ]
  * debian/rules get-orig-source: put orig.tar.gz in ../tarballs to allow
    automatic build with svn-buildpackage

  [ Mathieu Malaterre ]

