=== debian/control ===
Source: dicomscope
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Gert Wollny <gewo@debian.org>,
Section: graphics
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libdcmtk-dev,
 default-jdk,
 javahelper,
 zip,
Vcs-Browser: https://salsa.debian.org/med-team/dicomscope
Vcs-Git: https://salsa.debian.org/med-team/dicomscope.git
Homepage: https://dicom.offis.de/dscope.php.en
Rules-Requires-Root: no

Package: dicomscope
Architecture: all
Multi-Arch: foreign
Depends:
 ${java:Depends},
 ${misc:Depends},
 tk8.6 | tk8.4 | wish,
 default-jre | java-runtime,
 java-wrappers,
 libdicomscope-jni,
Description: OFFIS DICOM Viewer
 DICOMscope is a free DICOM viewer which can display uncompressed, monochrome
 DICOM images from all modalities and which supports monitor calibration
 according to DICOM part 14 as well as presentation states.
 .
 DICOMscope offers a print client (DICOM Basic Grayscale Print Management)
 which also implements the optional Presentation LUT SOP Class.
 .
 The development of this prototype was commissioned by the "Committee for the
 Advancement of DICOM" and demonstrated at the European Congress of Radiology
 ECR 1999. An enhanced version was developed for the "DICOM Display Consistency
 Demonstration" at RSNA InfoRAD 1999.
 .
 The current release has been demonstrated at ECR 2001 and contains numerous
 extensions, including a print server, support for encrypted DICOM
 communication, digital signatures and structured reporting.

Package: libdicomscope-jni
Architecture: any
Multi-Arch: same
Section: java
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: OFFIS DICOM Viewer (JNI files)
 DICOMscope is a free DICOM viewer which can display uncompressed, monochrome
 DICOM images from all modalities and which supports monitor calibration
 according to DICOM part 14 as well as presentation states.
 .
 DICOMscope offers a print client (DICOM Basic Grayscale Print Management)
 which also implements the optional Presentation LUT SOP Class.
 .
 The development of this prototype was commissioned by the "Committee for the
 Advancement of DICOM" and demonstrated at the European Congress of Radiology
 ECR 1999. An enhanced version was developed for the "DICOM Display Consistency
 Demonstration" at RSNA InfoRAD 1999.
 .
 The current release has been demonstrated at ECR 2001 and contains numerous
 extensions, including a print server, support for encrypted DICOM
 communication, digital signatures and structured reporting.
 .
 This package contains the architecture dependent JNI files.

Package: dicomscope-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 doc-base,
Description: OFFIS DICOM Viewer - documentation
 DICOMscope is a free DICOM viewer which can display uncompressed, monochrome
 DICOM images from all modalities and which supports monitor calibration
 according to DICOM part 14 as well as presentation states.
 .
 DICOMscope offers a print client (DICOM Basic Grayscale Print Management)
 which also implements the optional Presentation LUT SOP Class.
 .
 The development of this prototype was commissioned by the "Committee for the
 Advancement of DICOM" and demonstrated at the European Congress of Radiology
 ECR 1999. An enhanced version was developed for the "DICOM Display Consistency
 Demonstration" at RSNA InfoRAD 1999.
 .
 The current release has been demonstrated at ECR 2001 and contains numerous
 extensions, including a print server, support for encrypted DICOM
 communication, digital signatures and structured reporting.
 .
 This is the documentation package for DICOMscope
