=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
include /usr/share/java/java_defaults.mk
export JAVA_COMPAT_LEVEL=$(java_compat_level)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export JAVA_HOME=/usr/lib/jvm/default-java

CMAKE_EXTRA_FLAGS = -DCMAKE_BUILD_TYPE:STRING="" \
	-DDICOMSCOPE_INSTALL_LIB_DIR:STRING=lib/$(DEB_HOST_MULTIARCH)/jni

%:
	dh $@ --buildsystem=cmake --with javahelper

override_dh_auto_configure-arch:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS) -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_fixperms:
	dh_fixperms
	find debian -name "dcmps*.tcl" -exec chmod +x \{\} \;

override_dh_clean:
	dh_clean
	find DICOMscope -name *.class -delete

override_dh_compress:
	dh_compress -X.pdf

override_dh_missing-indep:
	dh_missing --list-missing

VER_MAJOR = 3
VER_MINOR = 6
VER_PATCH = 0
VER_FULL = $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)
VER_FULL_UPSTREAM = $(VER_MAJOR)$(VER_MINOR)$(VER_PATCH)

UPSTREAM_SRC = dsgui$(VER_FULL_UPSTREAM)
DEBIAN_SRC_DIR = dicomscope-$(VER_FULL)
DEBIAN_SRC_TAR = dicomscope_$(VER_FULL).orig.tar.gz


$(UPSTREAM_SRC).zip:
	wget -c ftp://dicom.offis.de/pub/dicom/offis/software/dscope/dscope$(VER_FULL_UPSTREAM)/$@

get-orig-source: $(UPSTREAM_SRC).zip
	rm -rf $(DEBIAN_SRC_DIR)
	unzip -q $(UPSTREAM_SRC).zip -d $(DEBIAN_SRC_DIR)
	# Need tofrodos in order to prepare the patch, since quilt
	# does not support mixture of dos/unix EOL
	find $(DEBIAN_SRC_DIR) -name *.java -exec dos2unix {} \;
	find $(DEBIAN_SRC_DIR) -name *.html -exec dos2unix {} \;
	find $(DEBIAN_SRC_DIR) -name *.h -exec dos2unix {} \;
	find $(DEBIAN_SRC_DIR) -name *.cpp -exec dos2unix {} \;
	find $(DEBIAN_SRC_DIR) -name *.txt -exec dos2unix {} \;
	find $(DEBIAN_SRC_DIR) -name *.MF -exec dos2unix {} \;
	GZIP="--best --no-name" tar czf $(DEBIAN_SRC_TAR) $(DEBIAN_SRC_DIR)
	rm -rf $(DEBIAN_SRC_DIR)
	rm $(UPSTREAM_SRC).zip
	#
	# put orig.tar in ../tarballs (-> default location for svn-buildpackage)
	mkdir -p ../tarballs
	mv *.orig.tar.gz ../tarballs
