=== debian/watch ===
Version: 5

Source: https://dicom.offis.de/de/@PACKAGE@/
Matching-Pattern: .*/dscope[\d]+/dsgui(\d)(\d)(\d)\.zip
